;****************************************
; General
;****************************************

; Description
; A drush makefile for CiviCRM 3.x.

; drush make API version
api = 2

; Drupal core
core = 6.x

;****************************************
; CiviCRM core
;****************************************

; Checking for new updates at:
; http://sourceforge.net/projects/civicrm/files/civicrm-stable/

libraries[civicrm][destination] = modules
libraries[civicrm][directory_name] = civicrm
libraries[civicrm][download][type] = get
libraries[civicrm][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/3.4.8/civicrm-3.4.8-drupal.tar.gz

libraries[civicrm_l10n][destination] = modules
libraries[civicrm_l10n][directory_name] = civicrm
libraries[civicrm_l10n][download][type] = get
libraries[civicrm_l10n][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/3.4.8/civicrm-3.4.8-l10n.tar.gz
libraries[civicrm_l10n][overwrite] = TRUE


; Fetch gettext-compatible fr_CA locale
libraries[civicrm_l10n_latest][destination] = modules
libraries[civicrm_l10n_latest][directory_name] = civicrm/l10n/fr_CA/LC_MESSAGES
libraries[civicrm_l10n_latest][download][type] = wget
libraries[civicrm_l10n_latest][download][url] = https://github.com/civicrm/l10n/raw/master/po/fr_CA/civicrm.mo
libraries[civicrm_l10n_latest][overwrite] = TRUE

; Fetch gettext-compatible fr_FR locale
libraries[civicrm_l10n_latest][destination] = modules
libraries[civicrm_l10n_latest][directory_name] = civicrm/l10n/fr_FR/LC_MESSAGES
libraries[civicrm_l10n_latest][download][type] = wget
libraries[civicrm_l10n_latest][download][url] = https://github.com/civicrm/l10n/raw/master/po/fr/civicrm.mo
libraries[civicrm_l10n_latest][overwrite] = TRUE

; Fetch gettext-compatible en_CA locale
libraries[civicrm_l10n_latest][destination] = modules
libraries[civicrm_l10n_latest][directory_name] = civicrm/l10n/en_CA/LC_MESSAGES
libraries[civicrm_l10n_latest][download][type] = wget
libraries[civicrm_l10n_latest][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_CA/civicrm.mo
libraries[civicrm_l10n_latest][overwrite] = TRUE

; Fetch gettext-compatible en_UK locale
libraries[civicrm_l10n_latest][destination] = modules
libraries[civicrm_l10n_latest][directory_name] = civicrm/l10n/en_UK/LC_MESSAGES
libraries[civicrm_l10n_latest][download][type] = wget
libraries[civicrm_l10n_latest][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_UK/civicrm.mo
libraries[civicrm_l10n_latest][overwrite] = TRUE

; Fetch gettext-compatible en_US locale
libraries[civicrm_l10n_latest][destination] = modules
libraries[civicrm_l10n_latest][directory_name] = civicrm/l10n/en_US/LC_MESSAGES
libraries[civicrm_l10n_latest][download][type] = wget
libraries[civicrm_l10n_latest][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_US/civicrm.mo
libraries[civicrm_l10n_latest][overwrite] = TRUE


;****************************************
; Patches
;****************************************

; language matching between drupal and civicrm
; http://drupal.org/node/1973984#comment-7374324
; http://issues.civicrm.org/jira/browse/CRM-9558
libraries[civicrm][patch][6381] = http://drupal.org/files/patch-6381-4.txt

;****************************************
; End
;****************************************
